[package]
name = "CS工具箱"
version = "0.0.1"
description = "A Tauri App"
authors = ["Purp1e"]
license = ""
repository = ""
default-run = "CS工具箱"
edition = "2021"
rust-version = "1.85"

[profile.release]
panic = "abort" # Strip expensive panic clean-up logic
codegen-units = 1 # Compile crates one after another so the compiler can optimize better
lto = true # Enables link to optimizations
opt-level = "s" # Optimize for binary size
strip = true # Remove debug symbols
# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[profile.dev]
opt-level = 0  # 关闭优化
debug = true   # 保留调试信息

[build-dependencies]
tauri-build = { version = "2.1.0", features = [] }

[dependencies]
log = "0.4.26"
base64 = "0.22.1"
walkdir = "2.5.0"
serde_json = "1.0.140"
regex = "1.11.1"
serde = { version = "1.0.219", features = ["derive"] }
reqwest = { version = "0.12.15", features = ["blocking"] }
tauri = { version = "2.4.0", features = [ "macos-private-api",
  "tray-icon"
] }
window-vibrancy = "0.6.0"
tauri-plugin-process = "2.2.0"
tauri-plugin-fs = "2.2.0"
tauri-plugin-dialog = "2.2.0"
tauri-plugin-os = "2.2.1"
tauri-plugin-clipboard-manager = "2.2.2"
tauri-plugin-shell = "2.2.0"
tauri-plugin-http = "2.4.2"
tauri-plugin-notification = "2.2.2"
tauri-plugin-valtio = "2.1.1"
tauri-plugin-store = "2.2.0"
tauri-plugin-system-info = "2.0.9"
tauri-plugin-theme = "2.1.3"
tauri-plugin-autostart = "2.2.0"
tauri-plugin-single-instance = { version = "2.2.2", features = ["deep-link"] }
tauri-plugin-deep-link = "2.2.0"
anyhow = "1.0.97"
[target.'cfg(windows)'.dependencies] # Windows Only
winreg = "0.55.0"

[features]
# by default Tauri runs in production mode
# when `tauri dev` runs it is executed with `cargo run --no-default-features` if `devPath` is an URL
default = [ "custom-protocol" ]
# this feature is used used for production builds where `devPath` points to the filesystem
# DO NOT remove this
custom-protocol = [ "tauri/custom-protocol" ]

[target.'cfg(not(any(target_os = "android", target_os = "ios")))'.dependencies]
tauri-plugin-cli = "2"
tauri-plugin-global-shortcut = "2.2.0"
tauri-plugin-single-instance = "2.2.2"
